Package org.eclipse.birt.report.model.api

# Class IllegalOperationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.birt.report.model.api.IllegalOperationException

All Implemented Interfaces:
  `Serializable`

public class IllegalOperationException extends RuntimeException
Thrown to indicate that a method has been illegally called. It means that some method inherited from super classes is forbidden to be called by the certain sub-class.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ILLEGAL_OPERATION_EXCEPTION`
Error message for the exception.

## Constructor Summary

Constructors
Constructor
Description
`IllegalOperationException()`
Constructs an `IllegalOperationException` with no detail message.
`IllegalOperationException(String s)`
Constructs an `IllegalOperationException` with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ILLEGAL_OPERATION_EXCEPTION

public static final String ILLEGAL_OPERATION_EXCEPTION
Error message for the exception.

See Also:
  - Constant Field Values

## Constructor Details

### IllegalOperationException

public IllegalOperationException()
Constructs an `IllegalOperationException` with no detail message.

### IllegalOperationException

public IllegalOperationException(String s)
Constructs an `IllegalOperationException` with the specified detail message.

Parameters:
  `s` - the detail message.